/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
ldse@hendriklipka.de
*/

package de.hendriklipka.ldse.client;

import java.net.Socket;
import java.net.InetAddress;
import java.io.*;

import de.hendriklipka.ldse.client.ClientConfig;

/**
  baut die Verbindung zum Server auf
*/
public class ServerConnection
{
  protected String _server=null;
  protected int _port=-1;
  protected Socket _socket=null;
  protected Reader _reader=null;
  protected Writer _writer=null;
  
  public ServerConnection(ClientConfig config)
  {
    _server=config.getServer();
    try
    {
      _port=Integer.parseInt(config.getPort());
    }
    catch (NumberFormatException ex)
    {
      _port=-1;
    }
    if (null==_server)
    {
      _server="127.0.0.1";
    }
    if (-1==_port)
    {
      _port=7622;
    }
  }
  
  public void init() throws Exception
  {
    _socket=new Socket(InetAddress.getByName(_server),_port);
    _socket.setSoTimeout(15*60*1000); // 5 Minuten Timeout
    _reader=new InputStreamReader(_socket.getInputStream());
    _writer=new OutputStreamWriter(_socket.getOutputStream());
  }
  
  public Writer getWriter()
  {
    return _writer;;
  }
  
  public Reader getReader()
  {
    return _reader;
  }
}