/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
ldse@hendriklipka.de
*/

package de.hendriklipka.ldse.client.admin.ui;

import java.awt.*;

/**
  Diese Klasse zeigt eine Liste von mehreren URL an, die als String uebergeben werden.
*/
public class FrameDocumentList extends Frame
{
	static java.util.ResourceBundle frameDocumentListBundle = java.util.ResourceBundle.getBundle("de.hendriklipka.ldse.client.admin.ui.FrameDocumentListBundle");

	public FrameDocumentList()
	{
		setLayout(new BorderLayout(0,0));
		setBackground(java.awt.Color.lightGray);
		setSize(400,300);
		setVisible(false);
		add("Center",listDocuments);
		listDocuments.setBounds(0,0,400,300);
		setTitle(frameDocumentListBundle.getString("FrameDocumentList_title"));
		SymWindow aSymWindow = new SymWindow();
		this.addWindowListener(aSymWindow);
	}

	public FrameDocumentList(String title)
	{
		this();
		setTitle(title);
	}

    public void setVisible(boolean b)
	{
		if(b)
		{
			setLocation(50, 50);
		}
		super.setVisible(b);
	}

  public void addDocument(String s)
  {
    listDocuments.add(s);
  }
  
	public void addNotify()
	{
	    Dimension d = getSize();
	    
		super.addNotify();

		if (fComponentsAdjusted)
			return;

		Insets insets = getInsets();
		setSize(insets.left + insets.right + d.width, insets.top + insets.bottom + d.height);
		Component components[] = getComponents();
		for (int i = 0; i < components.length; i++)
		{
			Point p = components[i].getLocation();
			p.translate(insets.left, insets.top);
			components[i].setLocation(p);
		}
		fComponentsAdjusted = true;
	}

	boolean fComponentsAdjusted = false;

	java.awt.List listDocuments = new java.awt.List(4);

	class SymWindow extends java.awt.event.WindowAdapter
	{
		public void windowClosing(java.awt.event.WindowEvent event)
		{
			Object object = event.getSource();
			if (object == FrameDocumentList.this)
				FrameDocumentList_WindowClosing(event);
		}
	}
	
	void FrameDocumentList_WindowClosing(java.awt.event.WindowEvent event)
	{
		setVisible(false);		
	}
}
